[ 前のページ ] [ 目次 ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ A ] [ 次のページ ]


Debian GNU/Linux 4.0 ("etch") リリースノート (Mipsel 用)
補遺 A - sarge システムの管理


この付録には、etch へアップグレードする前に sarge パッケージを確実にインストールしたりアップグレードする方法についての情報が述べられています。特定の状況でのみ必要となるでしょう。


A.1 sarge システムのアップグレード

基本的には、これまで行ってきた sarge のあらゆるアップグレードと違いはありません。唯一異なるのは、ソースリストのチェック, 第 A.2 節で説明するようにパッケージリスト内に sarge パッケージがまだ含まれているのを確認する必要があることです。

Debian ミラーを使用してシステムをアップグレードする場合、システムは自動的に最新の sarge ポイントリリースへとアップグレードされます。


A.2 ソースリストのチェック

/etc/apt/sources.list 内で 'stable' を指定している行があるなら、効率よく etch を "使う" 用意ができています。すでに apt-get update を実行済みでも、以下の手順に従えば問題なく元に戻すことができます。

etch からパッケージのインストールもしてしまっているなら、おそらくこれ以上 sarge からパッケージをインストールしても無意味でしょう。この場合、続けるかどうかを自分で決断しなければなりません。パッケージをダウングレードすることはできますが、その方法はここでは扱いません。

(root になってから) お気に入りのエディタで /etc/apt/sources.list を開き、deb http:deb ftp: で始まるすべて行の中に "stable" が指定されているかどうかを調べてください。もしあるなら、stablesarge に変更してください。

deb file: で始まっている行があるなら、その行が指定している場所が sarge か etch のどちらのアーカイブなのかを独力で調べなければならないでしょう。

重要!: deb cdrom: で始まっている行は、絶対に変更しないでください。変更するとその行は無効になって、もう一度 apt-cdrom を実行しなければならなくなるでしょう。'cdrom' ソースが "unstable" を指定していても心配しないでください。混乱するかもしれませんが、これで正常なのです。

変更が済んだら、ファイルを保存してから

     # apt-get update

と実行して、パッケージリストを更新してください。


[ 前のページ ] [ 目次 ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ A ] [ 次のページ ]


Debian GNU/Linux 4.0 ("etch") リリースノート (Mipsel 用)

$Id: release-notes.en.sgml,v 1.312 2007-08-16 22:24:38 jseidel Exp $

Josip Rodin, Bob Hilliard, Adam Di Carlo, Anne Bezemer, Rob Bradford, Frans Pop (現在のメンテナ), Andreas Barth (現在のメンテナ), Javier Fernández-Sanguino Peña (現在のメンテナ), Steve Langasek (現在のメンテナ)
debian-doc@lists.debian.org